
QGIS Application - Bug report #20376

Map canvas whiteout on editing

2018-11-06 07:38 AM - Johannes Metzler

Status: Feedback

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:3.4.1 Regression?: No

Operating System: Win7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28196

Description

After a while in editing mode the map canvas whites out, if you zoom out features apper on higer zoomlevels only.

I have restart Qgis to get to normal display again.

no error messeages at all

Thanks

J

History

#1 - 2018-11-06 09:05 AM - Alessandro Pasotti

Can you please add step-by-step instructions about how to reproduce the issue, and possibly a sample project and data?

#2 - 2018-11-06 09:05 AM - Alessandro Pasotti

- Status changed from Open to Feedback

#3 - 2018-11-06 03:08 PM - Johannes Metzler

- File Whiteout1.JPG added

- File Whiteout2.JPG added

- Assignee set to Alessandro Pasotti

Hi Alessandro,

this is the event log (unfortunately in German) after zooming around a while in the white, qgis crashed on trying to save as the Project.

ist would be a bit  too much data to submit the project database completely, is there a way to cut a certain area ?

Name der fehlerhaften Anwendung: qgis-bin.exe, Version: 0.0.0.0, Zeitstempel: 0x5bdd610c

Name des fehlerhaften Moduls: ucrtbase.DLL, Version: 10.0.14393.2247, Zeitstempel: 0x5adc1a6f

Ausnahmecode: 0x40000015

Fehleroffset: 0x000891fa

ID des fehlerhaften Prozesses: 0x87c

Startzeit der fehlerhaften Anwendung: 0x01d474d2154d92f6

Pfad der fehlerhaften Anwendung: C:\OSGeo4W\bin\qgis-bin.exe

Pfad des fehlerhaften Moduls: C:\Windows\system32\ucrtbase.DLL

Berichtskennung: 1d635574-e119-11e8-84c7-70f39501116a
#4 - 2018-11-06 11:39 PM - Alessandro Pasotti

- Assignee deleted (Alessandro Pasotti)

#5 - 2019-03-09 09:49 AM - Giovanni Manghi

- Category changed from Editing to Map Canvas

Johannes Metzler wrote:

Hi Alessandro,

this is the event log (unfortunately in German) after zooming around a while in the white, qgis crashed on trying to save as the Project.

ist would be a bit  too much data to submit the project database completely, is there a way to cut a certain area ?

without a test project/data is difficult to say what could be possibly wrong.

Please try with a new profile (no 3rd party plugins installed), on recent QGIS release (3.4.5/3.6). If problems persist try check the validity of your

geometries.

Files

Whiteout2.JPG 171 KB 2018-11-06 Johannes Metzler

Whiteout1.JPG 205 KB 2018-11-06 Johannes Metzler
